<?php

namespace App\Models\Project;
use App\Models\Admin\User;
use App\Models\Project\Vendor_detail;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Review extends Model
{
    use HasFactory;
    protected  $fillable = ['rating','comment','vendor_id','user_id','status','order_id'];

    public function customer()
    {
        return $this->belongsTo(User::class,'user_id');
    }
    public function vendor()
    {
        return $this->belongsTo(Vendor_detail::class);
    }
}
